/**
 * This file is part of CellularQt
 *
 * Copyright (C) 2009-2010 Nokia Corporation. All rights reserved.
 */

#ifndef SMSPARAMETERS_H
#define SMSPARAMETERS_H

#include <QtCore/QObject>

#include "libcellular-qt_global.h"

namespace Cellular
{

class SMSParametersPrivate;

//! SMS Parameters.
/*!
 * This class provides access to SMS parameters stored in the SIM
 * card. Currently the only such parameter is the SMS Center
 * address. */
//! @credential %Cellular resource token required
class CELLULAR_QT_EXPORT SMSParameters : public QObject
{

Q_OBJECT

public:
    SMSParameters(QObject *parent=0);
    ~SMSParameters();

    //! Service center address for outgoing SMS
    QString serviceCenterAddress() const;

    //! Check reliability of readings
    bool isValid() const;

private:
    SMSParametersPrivate *d;
};

}
#endif  /* !SMSPARAMETERS_H */
